#norootforbuild
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary: Beautifier for Php
Name: php-pear-php_beautifier
Version: 0.1.13
Release: 1.1
License: PHP License
Group: Development/Libraries
Source0: http://pear.php.net/get/PHP_Beautifier-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
URL: http://pear.php.net/package/PHP_Beautifier
BuildArchitectures: noarch
BuildRequires: php5-pear
PreReq: php5-pear
Requires: php5-pear-log php5-tokenizer php5-bz2

%description
This program reformat and beautify PHP 4 and PHP 5 source code files
automatically. The program is Open Source and distributed under the terms
of PHP Licence. It is written in PHP 5 and has a command line tool.

%prep
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear5 -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir}/php5/extensions \
        -s

%build

%install

pear5 -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_Beautifier.xml

%clean
rm -rf %{buildroot}

%post
pear5 install --nodeps --soft --force --register-only %{xmldir}/PHP_Beautifier.xml

%postun
if [ "$1" -eq "0" ]; then
    pear5 uninstall --nodeps --ignore-errors --register-only PHP_Beautifier
fi

%files
%defattr(-,root,root)
%doc docs/PHP_Beautifier/{examples/example_array.php,examples/example_comments.php,examples/example_html.php,examples/example_lowercase.php,examples/example_main.php,examples/example_pear.php,examples/run_me.php}
%{peardir}/*
%{xmldir}/PHP_Beautifier.xml
%{_bindir}/php_beautifier
%exclude %{_bindir}/php_beautifier.bat
